<?php
$dd_td=date("YmdHis");
$fp=fopen('../output/resultaat_'.$dd_td.'.csv','wb');
$in='';

unset ($a);

include ('../my_init.php');
include ('../my_open.php');

/*
het bestand middelenbesteding moet natuurlijk wel eerst worden gevuld (met velden 'budgetplaats', 'functiegebied', 'document', 'origineel', 'totaal' en 'open': de eerste drie velden zijn alfanumeriek, de laatste drie numeriek, voorts is er nog een numeriek id-veld dat automatisch oploopt).

het vullen van het bestand lijkt het gemakkelijkst te geschieden met een sql-commando dat per regel een record invoert. een insert-commando waarin veel records tegelijkertijd zijn opgenomen, blijkt in de praktijk geregeld vast te lopen.

dus: "insert into middelenbesteding (budgetplaats, ..., totaal, open) values ('xyz', ..., '0', '0');"
en dat vele malen (soms wel x-duizend maal!) achtereen.
*/

$query="select * from middelenbesteding";
$statement = $link->prepare($query);
$statement->execute();
while ($row=$query->fetch(PDO::FETCH_BOTH))
{
$defond=substr($row['budgetplaats'],0,1);
if ($row['totaal'] < 1250) {$cat='0';}
elseif ($row['totaal'] < 25000) {$cat='1';}
elseif (($row['functiegebied'] >= 'U2501' and $row['functiegebied'] <= 'U2506') or $row['functiegebied'] == 'U2607' or $row['functiegebied'] == 'U2608') {$cat='2';}
else {$cat='3';}

if (isset($a[$defond][$cat][0])) {$a[$defond][$cat][0] += 1;}		      else {$a[$defond][$cat][0] = 1;}
if (isset($a[$defond][$cat][1])) {$a[$defond][$cat][1] += $row['origineel'];} else {$a[$defond][$cat][1] = $row['origineel'];}
if (isset($a[$defond][$cat][2])) {$a[$defond][$cat][2] += $row['totaal'];}    else {$a[$defond][$cat][2] = $row['totaal'];}
if (isset($a[$defond][$cat][3])) {$a[$defond][$cat][3] += $row['open'];}      else {$a[$defond][$cat][3] = $row['open'];}
}

for ($i=1;$i<=7;$i++)
{
 for ($j=0;$j<=3;$j++)
 {$in .= $i.';'.$j.';'.$a[$i][$j][0].';'.$a[$i][$j][1].';'.$a[$i][$j][2].';'.$a[$i][$j][3]."\n";}
}

fwrite ($fp, FixEncoding ($in));
fclose($fp);

include ('../my_close.php');

print '<html><body>';
print '<p><a href="../output/resultaat_'.$dd_td.'.csv" target="_blank">download resultaat als csv-bestand</a></p>';
print '</body></html>';
?>