<?php
header("Content-Type: text/html; charset=UTF-8");
include ('my_init.php');
global $baseref_1, $baseref_2;
global $titel_1, $titel_2;
global $website;
global $device;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html>
<head>
<?php print $baseref_1; ?>
<?php print $titel_1; ?>
<?php if ($device=='phone') { ?> <link rel="stylesheet" href="mystyle_tlf.css" type="text/css"></link>
<?php } elseif ($device=='tablet') { ?> <link rel="stylesheet" href="mystyle_tablet.css" type="text/css"></link>
<?php } else { ?> <link rel="stylesheet" href="mystyle.css" type="text/css"></link> <?php } ?>
<link rel="shortcut icon" href="../bibliotheek/favicon_32x32.ico"></link>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body class="main">

<h1>Read me</h1>

<p>Aanpassen aan de 'eigen' situatie:
<ul>
<li>my_init.php: $my_server, $my_user, $my_password, $my_database,
<li>my_init.php: $crypt_key, $crypt_method,
<li>my_init.php: $password_algorithm (hoewel het lezen ervan nog niet goed loopt),
<li>login/login.php: het check-algoritme bij het inloggen,
</ul>
<ul>
<li>omdat in PHP7.3 ook hash-functie voor wachtwoorden anders is dan dat ik had (i.c. password_hash en password_verify in plaats van sha1), heb ik de volgende vier bestanden aangepast:
<ul>
<li>login => login.php en wijzig_wachtwoord.php
<li>functie => CheckLogin.php en NewPassword.php
</ul>
</ul>
<ul>
<li>titel.php: de verwijzing naar index.php is absoluut (omdat verwijzing ook moet werken vanuit 'secure server'),
<li>dropdownmenu.php: de verwijzing naar login is absoluut (ivm gebruik van 'secure server'),
<li>functie/CheckReferer.php (voorkomen van by-pass naar bestanden op 'secure server'),
</ul>
<ul>
<li>bibliotheek/logo.jpg (vanzelfsprekend),
<li>bibliotheek/favicon_32x32.ico (vanzelfsprekend),
</ul>
<ul>
<li>my_init.php: $smsadres, $mailadres, $mailadres_fm, $mailadres_to, $website, $titel_1 en _2 alsook $baseref_1 en _2
<li>my_init.php: $countdown terugzetten naar 300 (ipv 30 in de model-website)
<li>my_init.php: global $device buiten werking stellen wanneer toolbox 'Mobile-Detect' niet is/wordt geinstalleerd
<li>wanneer global $website='q' dan...
<ul>
<li>...moeten tabellen q_account, q_reactie_op_website, q_login, q_login_MISLUKT_1 en q_login_MISLUKT_2 bestaan
<li>...moeten tabellen q_dagboek, q_evenement, q_reservering, q_belangrijk, q_bestand en q_mailing bestaan
<li>...moeten tabellen q_shop_product, q_shop_picture, q_shop_transaction en q_invoice bestaan
<li>...werken functies en php-scripts in login/*.php naar behoren
</ul>
</ul>
<ul>
<li>begin.php en content van de site (vanzelfsprekend...),
<li>functie/mailing.php: de functie mail staat op non-actief teneinde een onbedoelde mailing te voorkomen,
</ul>
<ul>
<li>my_style.css (tbv de opmaakstijl; <i>my_style_presentatie.css tbv een presentatie voor een zaal: vette, grotere letters, etc.</i>)
</ul>
</p>

<p>Om te voorkomen dat niet ongewenst kennis wordt genomen van de inhoud van een directory van de website, is het verstandig om, bij gebruik van een Apache webserver, het bestand ".htaccess" op te nemen in de hoofddirectory van de website. De inhoud van dit bestand is "Options -Indexes" (uiteraard zonder de aanhalingstekens). Een dergelijk bestand het best aan te maken met de kladblok-functie van de PC, of een teksteditor anderszins. Hiermee wordt de optie "directory listing" in Apache uitgeschakeld (standaard is deze actief).</p>

<p><i><u>Noot</u>: ".htaccess" is veelzijdig en heeft meer in zijn mars dan het beveiligen van websites. Je kunt er bijvoorbeeld error-pagina's mee activeren en IP-adressen mee bannen. Het maken van een .htaccess file is niet moelijk. Omdat het een 8-letterige extentie is, kan dat problemen geven. Wanneer je problemen verwacht, maak dan een file aan met de naam "htaccess.txt". Deze file zet je online en met behulp van je FTP programma zet je dit om naar ".htaccess" ('rename' met je rechtermuisknop te activeren).</i></p>

</body>
</html>

